Package Details: apm_planner-bin 2.0.26-2

Git Clone URL: https://aur.archlinux.org/apm_planner-bin.git (read-only)
Package Base: apm_planner-bin
Description: Ground Control Station for MAVlink based autopilots (e.g. Ardupilot) (binary version)
Upstream URL: http://ardupilot.org/planner2/
Keywords: apm ardupilot drones gcs mav uav
Licenses: GPL3
Groups: base-devel
Submitter: ported
Maintainer: ported
Last Packager: ported
Votes: 0
Popularity: 0.000000
First Submitted: 2018-12-28 23:59
Last Updated: 2019-01-10 14:33

Latest Comments

bobpaul commented on 2019-09-06 18:09

Attempting to update the radio firmware yields:

Flashing with firmware
./sik_uploader/firmware/1.9/radio~hm_trp.ihx
/usr/bin/python: can't open file './sik_uploader/sik_uploader.py': [Errno 2] No such file or directory

Complete 2

I checked and it looks like this package puts the sik_uploader.py file in /usr/bin/ instead of where APM expects it. It'll fail anyway as APM Planner expects /usr/bin/python to be python2 but it's python3 on our systems.

I can run the script manually like:

$ python2 /usr/bin/sik_uploader.py --port /dev/ttyUSB1 --baudrate 57600 /usr/share/sik_uploader/firmware/1.9/radio~hm_trp.ihx

If the /usr/bin/sik_uploader.py file was executable and the header changed to require python2, it would be a little easier to run manually and still fail from APM. Since this is a bin package, I don't think the package can be fixed to work from APM.